# Unit idt

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Interrupt Descriptor Table - Structures & Interface.

## Uses

- util
- console

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Packed Record `TIDT_Entry` |
Packed Record `TIDT_Pointer` |

### Functions and Procedures

`procedure init();`
`procedure set_gate(Number : uint8; Base : uint32; Selector : uint16; Flags : uint8);`

### Types

`PIDT_Entry = ˆTIDT_Entry;`
`PIDT_Pointer = ˆTIDT_Pointer;`

### Constants

`ISR_RING_0 = $8E;`
`ISR_RING_1 = $AE;`
`ISR_RING_2 = $CE;`
`ISR_RING_3 = $EE;`

### Variables

`IDT_Entries: Array [0..255] of TIDT_Entry;`
`IDT_Pointer: TIDT_Pointer;`

## Description

### Functions and Procedures

`procedure init();`

`procedure set_gate(Number : uint8; Base : uint32; Selector : uint16; Flags : uint8);`

### Types

`PIDT_Entry = ˆTIDT_Entry;`

`PIDT_Pointer = ˆTIDT_Pointer;`

### Constants

`ISR_RING_0 = $8E;`

`ISR_RING_1 = $AE;`

`ISR_RING_2 = $CE;`

`ISR_RING_3 = $EE;`

### Variables

`IDT_Entries: Array [0..255] of TIDT_Entry;`

`IDT_Pointer: TIDT_Pointer;`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.